### Method

# Gegl Bufferset_format

#### Declaration [src]

    const Babl*
    gegl_buffer_set_format (
      GeglBuffer* buffer,
      const Babl* format
    )

#### Description [src]

Set the babl format of the buffer, setting the babl format of the buffer requires the new format to have exactly the same bytes per pixel as the original format. If NULL is passed in the format of the buffer is reset to the original format.

This method is not directly available to language bindings.

Sets property | `Gegl.Buffer:format`

#### Parameters

`format`

  Type: `Babl`

  The new babl format, must have same bpp as original format.

  The data is owned by the caller of the method.

#### Return value

Type: `Babl`

The new babl format or NULL if the passed-in buffer was incompatible (then the original format is still used).

The returned data is owned by the instance.